Plank.DockTheme – plank Reference Manual

# DockTheme

## Object Hierarchy:

## Description:

public class DockTheme : Theme

A themed renderer for dock windows.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public int ActiveTime { get; set; }
- public Color BadgeColor { get; set; }
- public double BottomPadding { get; set; }
- public bool CascadeHide { get; set; }
- public int ClickTime { get; set; }
- public double FadeOpacity { get; set; }
- public int FadeTime { get; set; }
- public int GlowPulseTime { get; set; }
- public int GlowSize { get; set; }
- public int GlowTime { get; set; }
- public int HideTime { get; set; }
- public double HorizPadding { get; set; }
- public double IconShadowSize { get; set; }
- public double IndicatorSize { get; set; }
- public int ItemMoveTime { get; set; }
- public double ItemPadding { get; set; }
- public double LaunchBounceHeight { get; set; }
- public int LaunchBounceTime { get; set; }
- public int SlideTime { get; set; }
- public double TopPadding { get; set; }
- public double UrgentBounceHeight { get; set; }
- public int UrgentBounceTime { get; set; }
- public int UrgentHueShift { get; set; }

### Creation methods:

- public DockTheme (string name)

### Methods:

- public Surface create_background (int width, int height, PositionType position, Surface model)
  Creates a surface for the dock background.
- public Surface create_indicator (int size, Color color, Surface model)
  Creates a surface for an indicator.
- public Surface create_urgent_glow (int size, Color color, Surface model)
  Creates a surface for an urgent glow.
- public void draw_active_glow (Surface surface, Rectangle clip_rect, Rectangle rect, Color color, double opacity, PositionType pos)
  Draws an active glow for an item.
- public void draw_item_count (Surface surface, int icon_size, Color color, int64 count)
  Draws a badge for an item.
- public void draw_item_progress (Surface surface, int icon_size, Color color, double progress)
  Draws a progress bar for an item.
- protected override void reset_properties ()
  Resets all properties to their default values. Called from construct and before loading from the backing file.
- protected override void verify (string prop)
  This method will verify the value of a property. If the value is wrong, this method should replace it with a sanitized value.

### Inherited Members:

All known members inherited from class Plank.Theme

- BottomRoundness
- DEFAULT_NAME
- FillEndColor
- FillStartColor
- GTK_THEME_NAME
- InnerStrokeColor
- LineWidth
- OuterStrokeColor

- TopRoundness
- create_style_context
- draw_background
- draw_inner_rect
- draw_rounded_line
- draw_rounded_rect
- get_bottom_offset

- get_style_context
- get_theme_folder
- get_theme_list
- get_top_offset
- load
- reset_properties
- verify

All known members inherited from class Plank.Preferences

- @delete
- apply
- delay
- deleted

- get_backing_file
- get_filename
- init_from_file

- init_from_filename
- reset_properties
- verify

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref